
c global specifiactions

	parameter(nx=1200,nz=600)
	parameter(maxnt=5000)
	parameter(maxnr=200)
	parameter(pi=3.1415926535898)

c space variables

	real, dimension (nx,nz):: lam,mu,rho,window,tmp,gauss
	real, dimension (nx,nz):: w11,w12,w13,w14,w15
	real, dimension (nx,nz):: w21,w22,w23,w24,w25
	real rho0,vsa,vp0

c source 

	integer source_type
	real so(maxnt)
	integer isx,isz,ssamp

c seismograms

	real seisx(maxnr*maxnt)
	real seisz(maxnr*maxnt)

c time reversal
	integer is_reverse

c FD

	real dx,dt

c Files

	character*50 seisfile,modelfile


	common /creal/ dx,dt,so,aa,vs0,vp0,rho0,mu,w,
     &                 lam,rho,w11,w12,w13,w14,w15,
     &                 w21,w22,w23,w24,w25,window,tmp,
     &                 gauss,alpha,seisx,seisz


	common /cint/ nt,nt_r,it,isx,isz,source_type,
     &                ixa,ixe,irec,isamp,izrec,it0,
     &	              model_type,icheck,ssamp,nabs,
     &	              icomp,isnap,nop,izfree,iout,
     &	              is_reverse,isnap0

	common /cchar/ seisfile,modelfile

