
	subroutine fd_init

	include 'common.h'
	character*50 file

	write(*,*)' Begin init '

c source

	aaa=(2.*aa)

	if(aa==1000.)then
	so(it0)=1.
	else

	do i=1,nt
	tt=(i-it0)*dt
	so(i)=exp(-(aaa*tt)**2)
c	so(i)=-2.*(aaa**2)*tt*exp(-(aaa*tt)**2)
c for verification
c	so(i)=exp(-.5*(aa*tt)**2)*cos(pi*aa*tt)
	enddo

c normalize
	
	smax=0.
	do i=1,nt
	if(abs(so(i)).gt.smax)then
	smax=abs(so(i))
	endif
	enddo
	do i=1,nt
	so(i)=so(i)/smax
	enddo

	endif

 
	file=seisfile(1:lnblnk(seisfile))//'_src'
	open(unit=33,file=file,status='unknown')
	do i=1,nt
	write(33,*)so(i)
	enddo
 11	format(e10.5)
	close(33)

c spatial gauss function

	forall (ix=1:nx,iz=1:nz)
	gauss(ix,iz)=exp(-1./(alpha**2)*( ((ix-isx)*dx)**2 +  ((iz-isz)*dx)**2 ))
	end forall
	write(*,*)minval(gauss),' < gauss < ',maxval(gauss)
	write(*,*)' loc Gauss : ',maxloc(gauss)
	write(*,*)' isx,isz   : ',isx,isz


c For time reversal

        if(is_reverse==1)then

        write(*,*)' Reading source for time reversal '

	nr=(ixe-ixa)/irec+1

	file=seisfile(1:lnblnk(seisfile))//'_x'
	open(unit=20,file=file,status='unknown')
	file=seisfile(1:lnblnk(seisfile))//'_z'
	open(unit=21,file=file,status='unknown')
	do i=1,nt_r*nr
	read(20,*)seisx(i)
	read(21,*)seisz(i)
	enddo
	close(20)
	close(21)

        write(*,*)' Reverse source x (max) : ',maxval(seisx)
        write(*,*)' Reverse source z (max) : ',maxval(seisz)

        endif


	write(*,*)' End init '

	return
	end


